RODC Compatibility Issues with Down-Level Clients

I just read over at Jane Lewis”s blog that if you plan on deploying Server 2008 Read Only Domain Controllers (RODC) and have down-level clients (XP and 2003 clients) then you will want to check out the RODC Compatibility Pack.

I know a lot of people are planning on deploying this so this should be something that you should pay attention to.  The KB article (and patch) addresses 10 potential issues.

The patch itself can be downloaded from Microsoft here.

Leave a Reply